Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Risolto] Installare phoronix-test-suite
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
ciro64
Apprentice
Apprentice


Joined: 20 Jun 2009
Posts: 284

PostPosted: Thu May 08, 2014 8:00 pm    Post subject: [Risolto] Installare phoronix-test-suite Reply with quote

Ciao.
Ho problemi riguardo l'installazione di phoronix-test suite:
Code:

ci7ht ~ # emerge phoronix-test-suite
Calculating dependencies... done!

!!! The ebuild selected to satisfy "dev-lang/php[cli,curl,gd,json,posix,pcntl,truetype,zip]" has unmet requirements.
- dev-lang/php-5.5.10::gentoo USE="bcmath berkdb bzip2 calendar cdb cgi crypt ctype curl exif fileinfo filter ftp gd gdbm gmp hash iconv imap intl ipv6 json libedit mysql mysqli nls opcache phar posix readline recode session sharedmem simplexml soap ssl threads tokenizer truetype unicode xml xpm zip zlib -apache2 -cjk -cli -debug -embed -enchant -firebird -flatfile -fpm (-frontbase) -inifile -iodbc -kerberos -ldap -ldap-sasl -libmysqlclient -mhash -mssql -oci8-instant-client -odbc -pcntl -pdo -postgres -qdbm (-selinux) -snmp -sockets -spell -sqlite (-sybase-ct) -systemd -sysvipc -tidy -wddx -xmlreader -xmlrpc -xmlwriter -xslt"

  The following REQUIRED_USE flag constraints are unsatisfied:
    readline? ( !libedit ) recode? ( !imap !mysql !mysqli ) sharedmem? ( !threads )

  The above constraints are a subset of the following complete expression:
    truetype? ( gd ) cjk? ( gd ) exif? ( gd ) xpm? ( gd ) gd? ( zlib ) simplexml? ( xml ) soap? ( xml ) wddx? ( xml ) xmlrpc? ( any-of ( xml iconv ) ) xmlreader? ( xml ) xslt? ( xml ) ldap-sasl? ( ldap ) mhash? ( hash ) phar? ( hash ) libmysqlclient? ( any-of ( mysql mysqli pdo ) ) qdbm? ( !gdbm ) readline? ( !libedit ) recode? ( !imap !mysql !mysqli ) sharedmem? ( !threads ) !cli? ( !cgi? ( !fpm? ( !apache2? ( !embed? ( cli ) ) ) ) )

(dependency required by "app-benchmarks/phoronix-test-suite-4.8.4" [ebuild])
(dependency required by "phoronix-test-suite" [argument])
ci7ht ~ #


Ho provato ad abilitare in modo un po' random/empirico le USE... ma non riesco ad ottenere risultati significativi.
Questo è l'unico software che mi da grattacapi, perchè tutto il resto è perfettamente "coerente".
Grazie per qualsiasi idea.

Ciao :)
_________________
Gentoo: il sistema più eclettico e geniale che abbia mai provato :)


Last edited by ciro64 on Sat May 10, 2014 9:46 pm; edited 1 time in total
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 459

PostPosted: Sat May 10, 2014 5:47 pm    Post subject: Reply with quote

Code:
The following REQUIRED_USE flag constraints are unsatisfied:
    readline? ( !libedit ) recode? ( !imap !mysql !mysqli ) sharedmem? ( !threads )


Significa che:
- se abiliti "readline" non puoi abilitare "libedit"
- se abiliti "recode" non puoi abilitare "imap", "mysql" e "mysqli"
- se abiliti "sharedmem" non puoi abilitare "threads"

Ovviamente devi lavorare sulle use del singolo pacchetto, perché lavorando sulle USE globali non puoi uscirne :wink:
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
ciro64
Apprentice
Apprentice


Joined: 20 Jun 2009
Posts: 284

PostPosted: Sat May 10, 2014 9:48 pm    Post subject: Reply with quote

Grazie Pierino_89.
Ho fatto un po' di prove per lo più "empiriche" riguardo le local use flags.
Ora il mio dev-lang/php è così:
Code:

[ebuild   R    ] dev-lang/php-5.5.10:5.5  USE="bcmath berkdb bzip2 calendar cdb cgi cli crypt ctype curl exif fileinfo filter fpm ftp gd gdbm gmp hash iconv imap inifile intl ipv6 json mysql mysqli nls opcache pcntl phar posix readline session simplexml snmp soap ssl threads tokenizer truetype unicode xml xmlreader xmlrpc xmlwriter xpm zip zlib -apache2 -cjk -debug -embed -enchant -firebird -flatfile (-frontbase) -iodbc -kerberos -ldap -ldap-sasl -libedit -libmysqlclient -mhash -mssql -oci8-instant-client -odbc -pdo -postgres -qdbm -recode (-selinux) -sharedmem -sockets -spell -sqlite (-sybase-ct) -systemd -sysvipc -tidy -wddx -xslt


E il seguente mi sembra un buon risultato :P
Code:

$ phoronix-test-suite benchmark c-ray

Phoronix Test Suite v4.8.4

    Installed: pts/c-ray-1.1.0

System Information

Hardware:
Processor: Intel Core i7-4771 @ 3.50GHz (8 Cores), Motherboard: MSI Z87-G43 GAMING (MS-7816) v2.0, Memory: 16384MB, Disk: 120GB Samsung SSD 840 + 1000GB Seagate ST1000DM003-9YN1, Graphics: NVIDIA GeForce GTX 660 2048MB (549/3004MHz)

Software:
OS: Gentoo, Kernel: 3.12.13-gentoo (x86_64), Desktop: KDE, Display Server: X Server 1.14.3, OpenGL: 4.3.0, Compiler: GCC 4.8.2 + Clang 3.3 + LLVM 3.3, File-System: ext4, Screen Resolution: 1920x1080

    Would you like to save these test results (Y/n): n


C-Ray 1.1:
    pts/c-ray-1.1.0
    Test 1 of 1
    Estimated Trial Run Count:    3
    Estimated Time To Completion: 11 Minutes
        Started Run 1 @ 23:49:55
        Started Run 2 @ 23:50:20
        Started Run 3 @ 23:50:45  [Std. Dev: 0.08%]

    Test Results:
        22.89
        22.927
        22.917

    Average: 22.91 Seconds


Ciao :)
_________________
Gentoo: il sistema più eclettico e geniale che abbia mai provato :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum